marble (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:59:05 +0100

marble (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:34:25 +0100

marble (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:00:52 +0100

marble (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:25:59 +0100

marble (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:56:03 +0100

marble (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:01:13 +0100

marble (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:18:04 +0100

marble (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:03:30 +0100

marble (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:50:30 +0000

marble (4:24.12.2-3ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Feb 2025 07:33:47 +0000

marble (4:24.12.2-3) unstable; urgency=medium

  * Stop depending on dummy package for armhf; build with -Os on armhf
    (Closes: #1098902), thanks to Adrian Bunk

 -- Matthias Geiger <werdahias@debian.org>  Tue, 25 Feb 2025 23:31:00 +0100

marble (4:24.12.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Feb 2025 09:20:20 +0000

marble (4:24.12.2-2) unstable; urgency=medium

  * 'acc' autopkgtest: set -std=c++17, needed for Qt 6

 -- Matthias Geiger <werdahias@debian.org>  Sat, 22 Feb 2025 16:14:31 +0100

marble (4:24.12.2-1ubuntu1) plucky; urgency=high

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Feb 2025 19:56:25 +0000

marble (4:24.12.2-1) unstable; urgency=medium

  * New upstream release 24.12.2 
  * d/control: Update my mail address
  * d/control: Depend on uninstallable armhf package to prevent armhf
    build

 -- Matthias Geiger <werdahias@debian.org>  Wed, 19 Feb 2025 15:13:34 +0100

marble (4:24.12.0-2ubuntu1) plucky; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Feb 2025 15:11:47 +0000

marble (4:22.12.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libqt5webkit5-dev from (Build-)Depends. (Closes: #1094740)

 -- Bastian Germann <bage@debian.org>  Mon, 10 Feb 2025 21:44:51 +0100

marble (4:24.12.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:24.12.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 Jan 2025 18:53:12 +0100

marble (4:24.12.0-1) experimental; urgency=medium

  [ Matthias Geiger ]
  * New upstream release. 
  * Updated libmarblewidget-qt5-28.install for new version.
  * Drop marble.knsrc from marble-data.install
  * Updated libmarblewidget-qt5-28.symbols for new symbols

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Switch library soname to libmarblewidget-qt6-28.
  * Update the list of installed files.
  * Split marble-behaim into its own binary package.
  * Add binary packages for qml6-module-org-kde-marble and
    qml6-module-org-kde-marble-imageprovider.
  * Update symbols from build for 24.12.0.
  * Bump Standards-Version to 4.7.0, no change required.
  * Review copyright information.
  * Switch away from transitional pkg-config build dependency.
  * Drop obsolete lintian overrides.
  * Switch to declarative KF6 and pkgkde_symbolshelper debhelper build
    sequences.
  * Switch to dh_qmldeps for runtime QML dependencies.
  * Drop obsolete Breaks/Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 30 Dec 2024 19:11:01 +0100

marble (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Trim trailing whitespace.
  * Remove an obsolete maintscript entry.
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Mon, 17 Jul 2023 07:28:54 +0200

marble (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:05 +0100

marble (4:22.12.2-1) unstable; urgency=medium

  * New upstream release
  * Reenabled dh_dwz
  * Source-only upload
  * Added correct upstream signing key

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 04 Feb 2023 17:55:04 +0100

marble (4:22.12.1-1) unstable; urgency=medium

  * New upstream release
  * Marked libmarble-dev as Multi-Arch: same

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 07 Jan 2023 19:59:19 +0100

marble (4:22.12.0-2) unstable; urgency=medium

  * Team upload.
  * Add the qtwebengine5-dev dependency in libmarble-dev on architectures where
    QtWebEngine is used, as the CMake config files of Marble require
    QtWebEngine in that case (Closes: #1026814)
    - drop qtwebengine5-dev from the dependencies of the 'acc' autopkgtest,
      now it is properly installed
  * Remove an obsolete maintscript entry.
  * Update standards version to 4.6.2, no changes needed.
  * Remove inactive Uploaders.
  * Drop unused debian/marble-data.qml-ignore file.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Dec 2022 10:23:12 +0100

marble (4:22.12.0-1) unstable; urgency=medium

  * New upstream release
  * Source-only upload

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Fri, 16 Dec 2022 17:06:14 +0100

marble (4:22.08.3-4) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Only depend on QtWebEngine for the archs with QtWebEngine for autopkgtests.
  * Update symbols from buildds for 4:22.08.3.
  * Update QML runtime deps for marble-maps and plasma-marble (Closes: #806189)

 -- Sandro Knauß <hefee@debian.org>  Sat, 10 Dec 2022 14:22:35 +0100

marble (4:22.08.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Fix "qtwebengine5-dev build dependency restriction does not work"
    Remkove all from B-D restrictions ( no need for QtWebEngine for all
    packages) (Closes: #1025711)
  * Fix "autopkgtest regression in 22.08.3-{1,2}" add QtWebengine as
    Dependency for the autopkgtest. (Closes: #1025712)

 -- Sandro Knauß <hefee@debian.org>  Thu, 08 Dec 2022 13:49:15 +0100

marble (4:22.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Remove Norbert Preining from Uploaders.
  * Only build with QtWebEngine where it is available.
  * Update symbols for s390x.

 -- Sandro Knauß <hefee@debian.org>  Wed, 07 Dec 2022 16:46:51 +0100

marble (4:22.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release (21.12.3)
  * CI: enable blhc, as it should work fine now.
  * Update install files. (Closes: #1005652)
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.10

  [ Matthias Geiger ]
  * New upstream release (22.08.3)
  * Added myself to uploaders
  * Update build-dependencies:
    - bump cmake to 3.16
    - bump minimum QT version to 5.14
    - bump pkg-kde-tools to 0.15
    - bump libgps-dev to 3.22 (Closes: #995137)
  * Bump Standards-Version to 4.6.1
  * Added new build-dependencies:
    - qtwebengine5-dev
    - libqt5webchannel5-dev
  * Amended libmarblewidget-qt5-28.install
  * Mark libastro-dev as multi-arch: same
  * Override dh_dwz in d/rules to allow building
  * Added hardening flags in d/rules
  * Enabled (experimental) vector tiling in d/rules (Closes: #817825)
  * Added lintian overrides:
    - marble: no-manual-page, desktop-entry-lacks-keyword-entry
    - marble-maps: no-manual-page, desktop-entry-lacks-keyword-entry
    - marble-qt: no-manual-page, desktop-entry-lacks-keyword-entry
    - marble-qt-data: package-contains-documentation-outside-usr-share-doc
  * Removed marble-data.lintian-overrides
  * Updated upstream/metadata
  * Added *.appdata.xml to d/copyright
  * Moved license blocks to the end for better readability in
    d/copyright
  * Added proper CC-BY-3.0 license
  * Deleted nonexistent entries form d/copyright
  * Generated new symbols for libmarblewidget-qt5-28-dev

 -- Sandro Knauß <hefee@debian.org>  Tue, 06 Dec 2022 16:48:13 +0100

marble (4:21.08.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * Drop files not built with newer frameworks (Closes: #997129).
  * New upstream release (21.08.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 05 Nov 2021 09:55:02 +0900

marble (4:21.08.0-2) unstable; urgency=medium

  * Team upload.
  * Update install files.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Revert the switch from webkit to webengine, as webengine is not available
    on all the architectures, and it changes the API/ABI a bit. Something to
    figure out with upstream in the short future...
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Update the patches:
    - do_not_install_private_headers: refresh
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Aug 2021 12:08:13 +0200

marble (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Switch from webkit to webengine.
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:44:58 +0900

marble (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 13:02:44 +0900

marble (4:20.12.3-1) unstable; urgency=medium

  * Update upstream release signing key.
  * New upstream release (20.12.3).
  * Drop patch install-marble-maps.diff, replace with upstream configure flag
    -DBUILD_TOUCH=ON.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 10 Mar 2021 10:36:18 +0100

marble (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - add libprotobuf-dev, and protobuf-compiler
  * Update install files.
  * Unregister the old /etc/xdg/marble.knsrc conffile.
  * Drop patch allow-svg-bookmark-icons.patch: added in an NMU, it is not
    forwarded upstream, and it breaks translations.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Drop the -DWITH_OpenGL=OFF cmake parameter on armel on Ubuntu
    distributions, as Ubuntu does not build armel anymore.
  * Update symbols file.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 22:58:33 +0100

marble (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Small changes to copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 13:21:06 +0200

marble (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks,
      and the strict shlibs handling
    - manually run dh_sameversiondep
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Update lintian overrides.
  * Use /usr/share/dpkg/vendor.mk & dpkg_vendor_derives_from for check whether
    the distro is Ubuntu or based on.

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 11:24:09 +0200

marble (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Fix-build-with-gpsd-3.20.patch: drop, backported from upstream
  * Bump Standards-Version to 4.5.0, no changes required.
  * Install marble-maps again; patch install-marble-maps.diff.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Apr 2020 14:05:55 +0200

marble (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Enable all the reprotest variations in the salsa CI.
  * Explicitly add the gettext build dependency.
  * Backport upstream commit 51e0d9122cf2871167d7466faf16fc33d660ae25 to fix
    build with gpsd 3.20; patch upstream_Fix-build-with-gpsd-3.20.patch.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 08 Jan 2020 22:28:54 +0100

marble (4:19.08.1-2) unstable; urgency=medium

  * Team upload.
  * Force the right installation path of Qt plugins, so the Qt Designer plugins
    are installed in the right place (Closes: #903745)
    - adjust paths in libmarble-dev.install
  * Pass -DBUILD_MARBLE_TESTS=FALSE to cmake to disable the build of tests,
    as they are not run at build time anyway
    - drop patch kubuntu_disable-MarbleRunnerManagerTest.diff, no more needed
      now
  * Add some Multi-Arch annotations.
  * Remove the marble-data dependency from libastro1, as it does not need it.
  * Drop the unused 'testsuite' autopkgtest.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Add Build-Depends-Package in symbols files.
  * Remove breaks/replaces for versions older than what is in oldstable.
  * Drop the migration from marble-dbg, no more needed after two Debian stable
    releases.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Sep 2019 08:22:29 +0200

marble (4:19.08.1-1) unstable; urgency=medium

  [ Reiner Herrmann ]
  * NMU 4:17.08.3-3.1 missing qml-module and qt 5.11

  [ Niels Thykier ]
  * NMU 4:17.08.3-3.2 FTBFS fix

  [ Maximiliano Curia ]
  * New upstream release (19.08.1).
  * Bump Standards-Version to 4.4.0.
  * Add libqt5svg5-dev dep to the -dev package
  * Update vcs fields
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Sep 2019 15:42:02 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libastro1`.
